Bug 57505 - Missing error CS0165 in presence of commented line
Summary: Missing error CS0165 in presence of commented line
Status: RESOLVED FIXED
Alias: None
Product: Compilers
Classification: Mono
Component: C# (show other bugs)
Version: 5.0.0 (2017-02)
Hardware: PC Windows
: --- normal
Target Milestone: ---
Assignee: Marek Safar
URL:
Depends on:
Blocks:
 
Reported: 2017-06-14 22:10 UTC by Jonathan Chambers
Modified: 2017-06-21 13:18 UTC (History)
1 user (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
Test Case Zip File (536.76 KB, application/x-zip-compressed)
2017-06-14 22:10 UTC, Jonathan Chambers
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Jonathan Chambers 2017-06-14 22:10:09 UTC
Created attachment 22897 [details]
Test Case Zip File

Open test case.

Run with .NET:

csc -r:UnityEngine.dll -t:library Test.cs
Test.cs(12,13): warning CS0219: The variable 'ray' is assigned but its value is never used
Test.cs(13,20): warning CS0168: The variable 'hit' is declared but never used
Test.cs(28,29): error CS0165: Use of unassigned local variable 'lazy_gaze_position'

Run with mcs:
mcs Test.cs -t:library -r:UnityEngine.dll
Test.cs(12,13): warning CS0219: The variable `ray' is assigned but its value is never used
Test.cs(13,20): warning CS0168: The variable `hit' is declared but never used
Compilation succeeded - 2 warning(s)


*** Note that if you uncomment line 17 the error is properly detected
mcs Test.cs -t:library -r:UnityEngine.dll
Test.cs(28,29): error CS0165: Use of unassigned local variable `lazy_gaze_position'
Compilation failed: 1 error(s), 0 warnings
Comment 1 Marek Safar 2017-06-21 13:18:04 UTC
Fixed in master and 2017-06